
D4Science Infrastructure - Task #1112

Cotrix Portlet undeployment

Oct 19, 2015 03:46 PM - Massimiliano Assante

Status: Closed Start date: Oct 19, 2015

Priority: Low Due date: Oct 30, 2015

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

Cotrix Portlet no longer works and we have no effort to maintain it. It should be removed (it was already removed from the Layout of

TabMan VRE in production)

Related issues:

Blocked by D4Science Infrastructure - Support #1213: Cotrix Portlet maintenance Closed Oct 22, 2015

History

#1 - Oct 19, 2015 03:47 PM - Massimiliano Assante

- Related to Upgrade #1074: D4Science Gateways upgrade to gCube 3.9.0 added

#2 - Oct 20, 2015 04:08 PM - Massimiliano Assante

We succesfully restarted Cotrix, however https://i-marine.d4science.org/group/tabulardatalab/cotrix still has problems in recognising the user from the

portal, so I still think it should not be in the portal. (the portlet is hidden in the layout)

#3 - Oct 27, 2015 02:07 PM - Massimiliano Assante

- Blocked by Support #1213: Cotrix Portlet maintenance added

#4 - Nov 04, 2015 09:28 AM - Massimiliano Assante

- Related to deleted (Upgrade #1074: D4Science Gateways upgrade to gCube 3.9.0)

#5 - Nov 04, 2015 02:36 PM - Massimiliano Assante

- Status changed from New to In Progress

- Target version changed from D4Science Infrastructure Upgrade to gCube 3.9.0 to UnSprintable

#6 - Nov 04, 2015 02:36 PM - Massimiliano Assante

- Status changed from In Progress to Paused

According to the feedback received by FAO the activity can be paused.

#7 - May 02, 2016 12:27 PM - Massimiliano Assante

- Priority changed from Normal to Low

#8 - May 04, 2016 12:26 PM - Massimiliano Assante

We don't use Cotrix anymore since 7 months, i think we may consider to Save this VM  hosting the web application and allocate its resources to other

applications @pasquale.pagano@isti.cnr.it 

#9 - May 04, 2016 12:46 PM - Pasquale Pagano

Cotrix is not an infrastructure application but a community one. If it doesn't work and it is not used, it can be undeployed and removed from the portal.

The infrastructure is not responsible and cannot maintain not featured applications. 

#10 - May 13, 2016 10:33 AM - Massimiliano Assante

The portlet integrated in the portal does not work, the standalone application (https://cotrix.d4science.org:8443/cotrix/) instead seems to respond but

I'm not able to determine whether it is working nor if is being used by someone. @tommaso.piccioli@isti.cnr.it is there a way to know if this host is

being contacted from outside CNR network?
#11 - May 13, 2016 03:08 PM - Tommaso Piccioli

These are the single click from outside CNR network.

Three times connections are from FAO network (last on 2016-05-02), other times are from adsl networks.

GET POST    log file

5   17      localhost_access_log.2014-06-03.txt

5   34      localhost_access_log.2014-07-07.txt

5   22      localhost_access_log.2014-07-11.txt

10  41      localhost_access_log.2014-08-28.txt

36  482     localhost_access_log.2014-10-08.txt

46  233     localhost_access_log.2014-11-12.txt

10  21      localhost_access_log.2014-11-20.txt

35  240     localhost_access_log.2014-11-25.txt

10  19      localhost_access_log.2014-12-02.txt

10  61      localhost_access_log.2014-12-16.txt

10  54      localhost_access_log.2015-01-15.txt

10  29      localhost_access_log.2015-04-06.txt

24  35      localhost_access_log.2015-05-08.txt

10  18      localhost_access_log.2015-05-10.txt

10  16      localhost_access_log.2015-05-16.txt

10  28      localhost_access_log.2015-05-18.txt

24  245     localhost_access_log.2015-07-08.txt

0   36      localhost_access_log.2015-07-09.txt

10  17      localhost_access_log.2015-07-29.txt

18  30      localhost_access_log.2015-10-21.txt

10  36      localhost_access_log.2015-10-22.txt

0   15      localhost_access_log.2015-10-24.txt

11  28      localhost_access_log.2016-05-02.txt

#12 - May 13, 2016 06:05 PM - Tommaso Piccioli

In the meantime deleted the cotrix-dev.d4science.org host.

#13 - Oct 27, 2016 04:58 PM - Massimiliano Assante

- Status changed from Paused to Closed

- % Done changed from 0 to 100

not sure if the cotrix.d4science.org was destroyed, but if it wasn't already please do.
